Botan 1.10.17

Public Member Functions | List of all members
Botan::Invalid_Key_Length Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Invalid_Key_Length:

## Public Member Functions
| Invalid_Key_Length (const std::string &name, size_t length)

## Detailed Description

Invalid_Key_Length Exception

Definition at line 55 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Invalid_Key_Length()

Botan::Invalid_Key_Length::Invalid_Key_Length | ( | const std::string & | name,
|  | size_t | length
| ) |  |
| inline

Definition at line 57 of file exceptn.h.

57 :
58 Invalid_Argument(name + " cannot accept a key of length " +
59 to_string(length))
60 {}
Botan::Invalid_Argument
std::invalid_argument Invalid_Argument
Definition: exceptn.h:20
Botan::to_string
std::string to_string(u64bit n, size_t min_len)
Definition: parsing.cpp:42

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h